%define upstream_name    Plack-Middleware-ServerStatus-Lite
%define upstream_version 0.34

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Show server status like Apache's mod_status
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(CPAN::Meta::Prereqs)
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(Getopt::Long) >= 2.380.0
BuildRequires: perl(JSON) >= 2.530.0
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Net::CIDR::Lite)
BuildRequires: perl(Parallel::Scoreboard) >= 0.30.0
BuildRequires: perl(Plack::Middleware)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Starman) >= 0.301.300
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::TCP) >= 2.0.0
BuildRequires: perl(Try::Tiny) >= 0.90.0
BuildRequires: perl(parent)
BuildArch:  noarch

%description
Plack::Middleware::ServerStatus::Lite is a middleware that display server
status in multiprocess Plack servers such as Starman and Starlet. This
middleware changes status only before and after executing the application.
so cannot monitor keepalive session and network i/o wait.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build


%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml eg
%{_bindir}/server-status
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.340.0-4pclos2017
- rebuild against updates

